n = int(input())
min_s = 1000000
for et in range(2, n + 1):
    s = 0
    for u  in range(2, n + 1):
        if u < et:
            k = et - u
        else:
            k = (u - et) * 2
        k = min(k, (u - 1) * 2)
        s += k;
    if s < min_s:
        min_s = s
        min_et = et
print(min_et, min_s)